Skip to main content
`Ctrl`+`K`

# NEPGetOptionsPrefix

Gets the prefix used for searching for all `NEP` options in the database.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetOptionsPrefix(NEP nep,const char *prefix[])

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetOptionsPrefix()`, `NEPAppendOptionsPrefix()`

## Level

advanced

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages